Subject: Re: perl, cygwin or caffeine
From: Yitzchak Scott-Thoennes <[email-masked]>
To: [email-masked]
Date: Tue, 5 Apr 2005 18:57:49 -0700

On Tue, Apr 05, 2005 at 06:43:06PM -0700, beau wrote:
> Not sure where the problem is, and am not having luck with the
> archives.  I've got a little dummy script
> 
> <--begin quoted-->
> #!/usr/bin/perl
> 
> $foo = <STDIN>;
> 
> print $foo . "\n";
> <--end quoted>
> 
> It just sits and spins until I kill it.  I tried "export
> PERLIO=perlio" in my .bashrc, but maybe that just displays an
> unflattering willingness to try things I don't totally dig.  Of
> course, $foo = "constant"; worked just fine.
> 
> Will beg for clues.

Are you giving it an input line?  <STDIN> returns one line (in scalar
context, anyway) from standard input.

Since this is not cygwin related, you may want to try asking this kind
of question at http://perlmonks.org/?node=Seekers%20of%20Perl%20Wisdom or
perl beginners (http://lists.perl.org/showlist.cgi?name=beginners)
or comp.lang.perl.misc or comp.lang.perl.moderated.

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Problem reports:       http://cygwin.com/problems.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/